Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.CellEditorHandler

    java.lang.Object
      javax.swing.plaf.basic.BasicTreeUI.CellEditorHandler

All Implemented Interfaces:
  EventListener, CellEditorListener

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.CellEditorHandler

extends Object
implements CellEditorListener

Listener responsible for getting cell editing events and updating the tree accordingly.

Constructor Summary
`BasicTreeUI.CellEditorHandler()`

Method Summary
`void` | `editingCanceled(ChangeEvent e)` Messaged when editing has been canceled in the tree.
`void` | `editingStopped(ChangeEvent e)` Messaged when editing has stopped in the tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTreeUI.CellEditorHandler

    public BasicTreeUI.CellEditorHandler()

Method Detail

### editingStopped

    public void editingStopped(ChangeEvent e)

  Messaged when editing has stopped in the tree.

  Specified by:
    `editingStopped` in interface `CellEditorListener`

### editingCanceled

    public void editingCanceled(ChangeEvent e)

  Messaged when editing has been canceled in the tree.

  Specified by:
    `editingCanceled` in interface `CellEditorListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.